Subject: Re: bug#16967: frame related race condition

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Mar 2014 21:33:55 -0400

> Lately I frequently noticed that an Emacs frame that was for some time
> hidden by other applications and subsequently became exposed by deleting
> their windows was not redrawn and I would like to know whether this was
> the reason.  ISTR that others noted the same or a similar misbehavior.

My "redisplay bit" changes of a few months back introduced such bugs.
I haven't seen such problems for a while now, so I think I've caught all
the problems, but maybe I still missed some.

Part of the change is that previously iconified/invisible frames where
redisplayed right away (i.e. their glyph matrices were kept up-to-date),
whereas now they're not.  Which means that when they're uniconified or
made visible, we have to first set windows_or_buffers_changed to
REDISPLAY_SOME, to make sure that the subsequent redisplay doesn't
forget to look at them.

        Stefan